import { createClient } from '@spree/sdk'
const client = createClient({
baseUrl: 'https://your-store.com',
publishableKey: '<api-key>',
})
const orders = await client.customer.orders.list(
{
completed_at_gt: '2026-01-01',
sort: '-completed_at',
},
{ token: '<token>' },
)curl --request GET \
--url http://{defaultHost}/api/v3/store/customers/me/orders \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"data": [
{
"id": "or_UkLWZg9DAJ",
"market_id": "mkt_UkLWZg9DAJ",
"withdrawal_period_ends_at": null,
"within_withdrawal_period": true,
"shipping_eq_billing_address": false,
"cart_id": null,
"channel_id": "ch_UkLWZg9DAJ",
"company_id": null,
"company_name": null,
"po_document_filename": null,
"po_document_byte_size": null,
"number": "R1001",
"email": "idella.ratke@runolfsdottir.us",
"customer_note": null,
"po_number": null,
"currency": "USD",
"locale": "en",
"total_quantity": 1,
"coupon_code": null,
"fulfillment_status": null,
"payment_status": null,
"completed_at": "2026-01-15T12:00:00.000Z",
"item_total": "10.00",
"display_item_total": "$10.00",
"discount_total": "0.00",
"display_discount_total": "$0.00",
"tax_total": "0.00",
"display_tax_total": "$0.00",
"included_tax_total": "0.00",
"display_included_tax_total": "$0.00",
"additional_tax_total": "0.00",
"display_additional_tax_total": "$0.00",
"delivery_total": "100.00",
"display_delivery_total": "$100.00",
"fee_total": "0.00",
"display_fee_total": "$0.00",
"gift_card_total": "0.00",
"display_gift_card_total": "$0.00",
"store_credit_total": "0.00",
"display_store_credit_total": "$0.00",
"total": "110.00",
"display_total": "$110.00",
"amount_due": "110.00",
"display_amount_due": "$110.00",
"covered_by_store_credit": false,
"payments": [],
"adjustment_total": "0.00",
"display_adjustment_total": "$0.00",
"discounts": [],
"fees": [],
"items": [
{
"id": "li_UkLWZg9DAJ",
"variant_id": "variant_UkLWZg9DAJ",
"seller_id": null,
"preorder": false,
"preorder_ships_at": null,
"quantity": 1,
"currency": "USD",
"name": "Product 3495270",
"slug": "product-3495270",
"options_text": "",
"price": "10.00",
"display_price": "$10.00",
"total": "10.00",
"display_total": "$10.00",
"adjustment_total": "0.00",
"display_adjustment_total": "$0.00",
"additional_tax_total": "0.00",
"display_additional_tax_total": "$0.00",
"included_tax_total": "0.00",
"display_included_tax_total": "$0.00",
"discount_total": "0.00",
"display_discount_total": "$0.00",
"pre_tax_amount": "10.00",
"display_pre_tax_amount": "$10.00",
"discounted_amount": "10.00",
"display_discounted_amount": "$10.00",
"display_compare_at_amount": "$0.00",
"compare_at_amount": null,
"thumbnail_url": null,
"option_values": [],
"digital_links": []
}
],
"fulfillments": [
{
"id": "ful_UkLWZg9DAJ",
"number": "R1001-F1",
"tracking": "U10000",
"tracking_url": null,
"pickup_point_data": null,
"selected_delivery_rate_id": "dr_gbHJdmfrXB",
"unpriced": false,
"cost": "100.00",
"display_cost": "$100.00",
"total": "100.00",
"display_total": "$100.00",
"discount_total": "0.00",
"display_discount_total": "$0.00",
"additional_tax_total": "0.00",
"display_additional_tax_total": "$0.00",
"included_tax_total": "0.00",
"display_included_tax_total": "$0.00",
"tax_total": "0.00",
"display_tax_total": "$0.00",
"status": "unfulfilled",
"fulfillment_type": "shipping",
"fulfilled_at": null,
"delivered_at": null,
"items": [
{
"item_id": "li_UkLWZg9DAJ",
"variant_id": "variant_UkLWZg9DAJ",
"quantity": 1
}
],
"deliveries": [
{
"id": "dlv_UkLWZg9DAJ",
"tracking_number": "U10000",
"carrier": null,
"carrier_name": null,
"service": null,
"status": "pending",
"tracking_url": null,
"estimated_delivery_at": null,
"delivered_at": null
}
],
"delivery_method": {
"id": "dm_UkLWZg9DAJ",
"name": "UPS Ground 187",
"code": "UPS_GROUND_205",
"estimated_transit_business_days_min": null,
"estimated_transit_business_days_max": null,
"digital": false,
"pickup": false,
"pickup_point": false
},
"stock_location": {
"id": "sloc_UkLWZg9DAJ",
"name": "Macy Goyette",
"address1": "1600 Pennsylvania Ave NW",
"city": "Washington",
"zipcode": "20500",
"country_code": "US",
"country_name": "United States",
"state_code": "AL",
"state_text": "AL",
"country_iso": "US",
"state_abbr": "AL",
"pickup_ready_in_minutes": null,
"pickup_instructions": null
},
"delivery_rates": [
{
"id": "dr_gbHJdmfrXB",
"delivery_method_id": "dm_UkLWZg9DAJ",
"name": "UPS Ground 187",
"selected": true,
"cost": "10.00",
"total": "10.00",
"additional_tax_total": "0.00",
"included_tax_total": "0.00",
"tax_total": "0.00",
"carrier": null,
"service_level": null,
"estimated_delivery_date": null,
"unpriced": false,
"freight_summary": null,
"display_cost": "$10.00",
"display_total": "$10.00",
"display_additional_tax_total": "$0.00",
"display_included_tax_total": "$0.00",
"display_tax_total": "$0.00",
"delivery_method": {
"id": "dm_UkLWZg9DAJ",
"name": "UPS Ground 187",
"code": "UPS_GROUND_205",
"estimated_transit_business_days_min": null,
"estimated_transit_business_days_max": null,
"digital": false,
"pickup": false,
"pickup_point": false
}
}
]
}
],
"billing_address": {
"id": "addr_EfhxLZ9ck8",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "449 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": false,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York",
"owner": null
},
"shipping_address": {
"id": "addr_VqXmZF31wY",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "450 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": false,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York",
"owner": null
},
"gift_card": null,
"market": {
"id": "mkt_UkLWZg9DAJ",
"name": "United States",
"currency": "USD",
"default_locale": "en",
"tax_inclusive": false,
"default": true,
"country_codes": [
"US"
],
"country_isos": [
"US"
],
"supported_locales": [
"en"
]
}
}
],
"meta": {
"page": 1,
"limit": 25,
"count": 1,
"pages": 1,
"from": 1,
"to": 1,
"in": 1,
"previous": null,
"next": null
}
}{
"error": {
"code": "authentication_required",
"message": "Authentication required"
}
}List orders
Returns a paginated list of completed orders for the authenticated customer.
import { createClient } from '@spree/sdk'
const client = createClient({
baseUrl: 'https://your-store.com',
publishableKey: '<api-key>',
})
const orders = await client.customer.orders.list(
{
completed_at_gt: '2026-01-01',
sort: '-completed_at',
},
{ token: '<token>' },
)curl --request GET \
--url http://{defaultHost}/api/v3/store/customers/me/orders \
--header 'Authorization: Bearer <token>' \
--header 'x-spree-api-key: <api-key>'{
"data": [
{
"id": "or_UkLWZg9DAJ",
"market_id": "mkt_UkLWZg9DAJ",
"withdrawal_period_ends_at": null,
"within_withdrawal_period": true,
"shipping_eq_billing_address": false,
"cart_id": null,
"channel_id": "ch_UkLWZg9DAJ",
"company_id": null,
"company_name": null,
"po_document_filename": null,
"po_document_byte_size": null,
"number": "R1001",
"email": "idella.ratke@runolfsdottir.us",
"customer_note": null,
"po_number": null,
"currency": "USD",
"locale": "en",
"total_quantity": 1,
"coupon_code": null,
"fulfillment_status": null,
"payment_status": null,
"completed_at": "2026-01-15T12:00:00.000Z",
"item_total": "10.00",
"display_item_total": "$10.00",
"discount_total": "0.00",
"display_discount_total": "$0.00",
"tax_total": "0.00",
"display_tax_total": "$0.00",
"included_tax_total": "0.00",
"display_included_tax_total": "$0.00",
"additional_tax_total": "0.00",
"display_additional_tax_total": "$0.00",
"delivery_total": "100.00",
"display_delivery_total": "$100.00",
"fee_total": "0.00",
"display_fee_total": "$0.00",
"gift_card_total": "0.00",
"display_gift_card_total": "$0.00",
"store_credit_total": "0.00",
"display_store_credit_total": "$0.00",
"total": "110.00",
"display_total": "$110.00",
"amount_due": "110.00",
"display_amount_due": "$110.00",
"covered_by_store_credit": false,
"payments": [],
"adjustment_total": "0.00",
"display_adjustment_total": "$0.00",
"discounts": [],
"fees": [],
"items": [
{
"id": "li_UkLWZg9DAJ",
"variant_id": "variant_UkLWZg9DAJ",
"seller_id": null,
"preorder": false,
"preorder_ships_at": null,
"quantity": 1,
"currency": "USD",
"name": "Product 3495270",
"slug": "product-3495270",
"options_text": "",
"price": "10.00",
"display_price": "$10.00",
"total": "10.00",
"display_total": "$10.00",
"adjustment_total": "0.00",
"display_adjustment_total": "$0.00",
"additional_tax_total": "0.00",
"display_additional_tax_total": "$0.00",
"included_tax_total": "0.00",
"display_included_tax_total": "$0.00",
"discount_total": "0.00",
"display_discount_total": "$0.00",
"pre_tax_amount": "10.00",
"display_pre_tax_amount": "$10.00",
"discounted_amount": "10.00",
"display_discounted_amount": "$10.00",
"display_compare_at_amount": "$0.00",
"compare_at_amount": null,
"thumbnail_url": null,
"option_values": [],
"digital_links": []
}
],
"fulfillments": [
{
"id": "ful_UkLWZg9DAJ",
"number": "R1001-F1",
"tracking": "U10000",
"tracking_url": null,
"pickup_point_data": null,
"selected_delivery_rate_id": "dr_gbHJdmfrXB",
"unpriced": false,
"cost": "100.00",
"display_cost": "$100.00",
"total": "100.00",
"display_total": "$100.00",
"discount_total": "0.00",
"display_discount_total": "$0.00",
"additional_tax_total": "0.00",
"display_additional_tax_total": "$0.00",
"included_tax_total": "0.00",
"display_included_tax_total": "$0.00",
"tax_total": "0.00",
"display_tax_total": "$0.00",
"status": "unfulfilled",
"fulfillment_type": "shipping",
"fulfilled_at": null,
"delivered_at": null,
"items": [
{
"item_id": "li_UkLWZg9DAJ",
"variant_id": "variant_UkLWZg9DAJ",
"quantity": 1
}
],
"deliveries": [
{
"id": "dlv_UkLWZg9DAJ",
"tracking_number": "U10000",
"carrier": null,
"carrier_name": null,
"service": null,
"status": "pending",
"tracking_url": null,
"estimated_delivery_at": null,
"delivered_at": null
}
],
"delivery_method": {
"id": "dm_UkLWZg9DAJ",
"name": "UPS Ground 187",
"code": "UPS_GROUND_205",
"estimated_transit_business_days_min": null,
"estimated_transit_business_days_max": null,
"digital": false,
"pickup": false,
"pickup_point": false
},
"stock_location": {
"id": "sloc_UkLWZg9DAJ",
"name": "Macy Goyette",
"address1": "1600 Pennsylvania Ave NW",
"city": "Washington",
"zipcode": "20500",
"country_code": "US",
"country_name": "United States",
"state_code": "AL",
"state_text": "AL",
"country_iso": "US",
"state_abbr": "AL",
"pickup_ready_in_minutes": null,
"pickup_instructions": null
},
"delivery_rates": [
{
"id": "dr_gbHJdmfrXB",
"delivery_method_id": "dm_UkLWZg9DAJ",
"name": "UPS Ground 187",
"selected": true,
"cost": "10.00",
"total": "10.00",
"additional_tax_total": "0.00",
"included_tax_total": "0.00",
"tax_total": "0.00",
"carrier": null,
"service_level": null,
"estimated_delivery_date": null,
"unpriced": false,
"freight_summary": null,
"display_cost": "$10.00",
"display_total": "$10.00",
"display_additional_tax_total": "$0.00",
"display_included_tax_total": "$0.00",
"display_tax_total": "$0.00",
"delivery_method": {
"id": "dm_UkLWZg9DAJ",
"name": "UPS Ground 187",
"code": "UPS_GROUND_205",
"estimated_transit_business_days_min": null,
"estimated_transit_business_days_max": null,
"digital": false,
"pickup": false,
"pickup_point": false
}
}
]
}
],
"billing_address": {
"id": "addr_EfhxLZ9ck8",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "449 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": false,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York",
"owner": null
},
"shipping_address": {
"id": "addr_VqXmZF31wY",
"label": null,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"address1": "450 Lovely Street",
"address2": "Northwest",
"postal_code": "10118",
"city": "New York",
"phone": "555-555-0199",
"company": "Company",
"country_name": "United States",
"country_code": "US",
"state_text": "NY",
"state_code": "NY",
"quick_checkout": false,
"is_default_billing": false,
"is_default_shipping": false,
"state_abbr": "NY",
"country_iso": "US",
"state_name": "New York",
"owner": null
},
"gift_card": null,
"market": {
"id": "mkt_UkLWZg9DAJ",
"name": "United States",
"currency": "USD",
"default_locale": "en",
"tax_inclusive": false,
"default": true,
"country_codes": [
"US"
],
"country_isos": [
"US"
],
"supported_locales": [
"en"
]
}
}
],
"meta": {
"page": 1,
"limit": 25,
"count": 1,
"pages": 1,
"from": 1,
"to": 1,
"in": 1,
"previous": null,
"next": null
}
}{
"error": {
"code": "authentication_required",
"message": "Authentication required"
}
}Filters
Filter withq[<attribute>_<predicate>]=value, for example q[number_cont]=…. Send a list as q[<attribute>_in][]=a&q[<attribute>_in][]=b. How filters work.
| Attribute | Kind | Predicates |
|---|---|---|
channel_id | Prefixed ID | eq not_eq in not_in null not_null |
completed_at | Date and time | eq not_eq in not_in lt lteq gt gteq null not_null |
created_at | Date and time | eq not_eq in not_in lt lteq gt gteq null not_null |
currency | One of the CurrencyCode codes | eq not_eq in not_in null not_null |
customer_id | Prefixed ID | eq not_eq in not_in null not_null |
delivery_total | Amount | eq not_eq in not_in lt lteq gt gteq null not_null |
fulfillment_status | One of backorder, canceled, partial, unfulfilled, fulfilled, delivered, pending, ready, shipped | eq not_eq in not_in null not_null |
id | Prefixed ID | eq not_eq in not_in null not_null |
item_total | Amount | eq not_eq in not_in lt lteq gt gteq null not_null |
locale | One of the LocaleCode codes | eq not_eq in not_in null not_null |
market_id | Prefixed ID | eq not_eq in not_in null not_null |
number | Text | eq not_eq in not_in cont i_cont not_cont start end null not_null present blank |
order_group_id | Prefixed ID | eq not_eq in not_in null not_null |
payment_status | One of none, authorized, partially_paid, paid, partially_refunded, refunded, overcharged, voided, balance_due, credit_owed, failed, void | eq not_eq in not_in null not_null |
po_number | Text | eq not_eq in not_in cont i_cont not_cont start end null not_null present blank |
seller_id | Prefixed ID | eq not_eq in not_in null not_null |
status | One of draft, placed, canceled | eq not_eq in not_in null not_null |
total | Amount | eq not_eq in not_in lt lteq gt gteq null not_null |
total_quantity | Number | eq not_eq in not_in lt lteq gt gteq null not_null |
updated_at | Date and time | eq not_eq in not_in lt lteq gt gteq null not_null |
channel_id, completed_at, created_at, currency, customer_id, delivery_total, fulfillment_status, id, item_total, locale, market_id, number, order_group_id, payment_status, po_number, seller_id, status, total, total_quantity, updated_at. Prefix a field with - to sort descending.Authorizations
Publishable API key for store access
JWT token for authenticated customers
Query Parameters
Set to true to apply complete.
Set to true to apply incomplete.
Set to true to apply partially_refunded.
Set to true to apply refunded.
Page number (default: 1)
Number of results per page (default: 25, max: 100)
Sort order. Prefix with - for descending. Values: completed_at, -completed_at, total, -total, number, -number
Attribute filters, as q[<attribute>_<predicate>]=value. See Filters above for the list.
Comma-separated associations to expand (items, fulfillments, payments, discounts, billing_address, shipping_address, gift_card). Use "none" to skip associations.
Comma-separated list of fields to include (e.g., total,amount_due,item_count). id is always included.
Was this page helpful?

